PATCH /v1/projects/{id}

Authentication

Bearer Token

Path Parameters

id string required path

Request Body required

application/json
name string
domain string | null

Responses

200 Project
application/json
project object
id string
name string
domain string | null
brand object | null
brand_status string
Enum: none, pending, processing, completed, failed, skipped
brand_error string | null
is_default boolean
created_at string
updated_at string
400 Error response
404 Error response
curl -X PATCH 'https://screenframed.com/v1/projects/string' \  -H 'Authorization: Bearer YOUR_API_TOKEN' \  -H 'Content-Type: application/json' \  -d '{  "name": "string",  "domain": "string"}'
const response = await fetch('https://screenframed.com/v1/projects/string', {  method: 'PATCH',  headers: {      "Authorization": "Bearer YOUR_API_TOKEN",      "Content-Type": "application/json"  },  body: JSON.stringify({    "name": "string",    "domain": "string"  })});const data = await response.json();console.log(data);
import requestsheaders = {    'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.patch('https://screenframed.com/v1/projects/string', headers=headers, json={  "name": "string",  "domain": "string"})print(response.json())
200 Response
{  "project": {    "id": "<string>",    "name": "<string>",    "domain": "<string>",    "brand": "<object>",    "brand_status": "none",    "brand_error": "<string>",    "is_default": true,    "created_at": "<string>",    "updated_at": "<string>"  }}
Ask a question... ⌘I